StocksAndFisheriesKB - Task #11973

Please start the submission of GRSF from Knowledge base.
Jun 18, 2018 05:15 PM - Luca Frosini

Status: Closed Start date: Jun 18, 2018
Priority: Normal Due date:

Assignee: Yannis Marketakis % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

@marketak@ics.forth.gr @minadakn@ics.forth.gr my colleague @roberto.cirillo@isti.cnr.it is going to deploy in production the new
version of our service.

@roberto.cirillo@isti.cnr.it will notify us the service is deployed by closing the blocking ticket #11970.

Please wait for the comment on this ticket of @francesco.mangiacrapa@isti.cnr.it to start the process because he has to clean the
CKAN database.

Are there any technical issues which prevent to submit only a subset of records? This could help any of us to better investigate
possible other issues.

@aureliano.gentile@fao.org please don't start to send feedback until @marketak@ics.forth.gr or @minadakn@ics.forth.gr close to
ticket to notify us that their process is terminated.

Related issues:

Related to StocksAndFisherieskKB - Bug #12036: Error while updating GRSF records Closed Jun 26, 2018
Related to StocksAndFisherieskKB - Bug #12040: Error while publishing GRSF record Closed Jun 26, 2018
Blocked by D4Science Infrastructure - Upgrade #11970: Please update GRSF serv... Completed Jun 18,2018
History

#1 - Jun 18,2018 05:15 PM - Luca Frosini
- Blocked by Upgrade #11970: Please update GRSF service in production with latest versions available added

#2 - Jun 19, 2018 09:08 AM - Yannis Marketakis
We are ready to start publishing records whenever ready. | see that for the time being GRSF-Admin contains all the legacy records. We can try
publishing a few GRSF records to see if everything is OK.

| confirm that there are no technical issues in publishing (and removing) a subset of these records.
Please let us know, when we can start.

#3 - Jun 19, 2018 10:46 AM - Francesco Mangiacrapa

The GRSF service was updated to the latest version available (see at: #11970)
You can start publishing (a few GRSF) records whenever you want.

#4 - Jun 19, 2018 10:55 AM - Yannis Marketakis

Thanks, Luca and Fransesco,

Just started publishing GRSF records.

#5 - Jun 19, 2018 12:28 PM - Luca Frosini

- Status changed from New to In Progress

@marketak@ics.forth.gr @minadakn@ics.forth.gr | noticed some null pointer exception on Stock creation and | have to investigate the issue.
Can you please stop the publication?

If you can provide me an example of JSON of records you are trying to publish it will be very useful.

#6 - Jun 19, 2018 01:23 PM - Yannis Marketakis
- File 00c5ab6f-abc3-3c52-aba0-9a54b5e229¢ee.json added
- File 00d77861-€924-3f39-a697-857995dc6920.json added
- File 00f1a4b8-e116-3f2d-ac2c-a1dcdad7fdfb.json added

Attached you will find some indicative examples

#7 - Jun 20, 2018 05:23 PM - Luca Frosini

The war created by the building system differs from local version | used to test the changes.
The war contained wrong dependencies. We fixed the war and started the service again. You can restart the process as you wish. Sorry for the issue.

#8 - Jun 21, 2018 09:00 AM - Yannis Marketakis
Thanks for the update Luca,

I'll start publishing right away.

#9 - Jun 26, 2018 11:59 AM - Yannis Marketakis
We have managed to published GRSF records.

However, we faced a few errors. More specifically, (a) a GRSF record could not be published and (b) some GRSF stock records could not be

updated.

I'll open the corresponding issues for these cases.

#10 - Jun 26, 2018 12:59 PM - Yannis Marketakis
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The corresponding tickets are: #12036 and #12040

#11 - Jun 26, 2018 01:00 PM - Yannis Marketakis
- Related to Bug #12036: Error while updating GRSF records added

#12 - Jun 26, 2018 01:00 PM - Yannis Marketakis
- Related to Bug #12040: Error while publishing GRSF record added

#13 - Jul 26, 2018 02:08 PM - Luca Frosini

- Project changed from 8 to StocksAndFisheriesKB
- Category deleted (Default)

- Target version deleted (WP05)

Files

00d77861-e924-3f39-a697-857995dc6920.json 1.77 KB Jun 19, 2018 Yannis Marketakis
00c5ab6f-abc3-3c52-a5a0-9a54b5e229¢ee.json 4.91 KB Jun 19, 2018 Yannis Marketakis
00f1a4b8-e116-3f2d-ac2c-a1dcdad7fdfb.json 1.95 KB Jun 19, 2018 Yannis Marketakis
